curl --request PATCH \
--url https://api.tread-horizon.com/v1/auto_add_on_assignments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"quantity": 123,
"rate": 123,
"percentage": 123,
"add_on_rate_type": "RateForEach",
"external_id": "<string>",
"accounting_id": "<string>",
"add_on_types": [
"driver_pay"
],
"total_installments": 1,
"revenue_rate_value": "<string>",
"revenue_cost_rate_type": "RateForEach",
"cost_rate_value": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": "<string>",
"rate": "<string>",
"percentage": "<string>",
"add_on_rate_type": "RateForEach",
"external_id": "<string>",
"accounting_id": "<string>",
"add_on_types": [
"driver_pay"
],
"total_installments": 123,
"auto_add_on_installments_count": 123,
"revenue_rate_value": "<string>",
"revenue_cost_rate_type": "RateForEach",
"cost_rate_value": "<string>",
"account_type": "customer",
"add_on_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_auto_add_on_assignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_type": "Settlement",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"add_on": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": "<string>",
"rate": "<string>",
"percentage": "<string>",
"add_on_rate_type": "RateForEach",
"fuel_surcharge_schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
}
}Update AutoAddOnAssignment by ID
curl --request PATCH \
--url https://api.tread-horizon.com/v1/auto_add_on_assignments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"quantity": 123,
"rate": 123,
"percentage": 123,
"add_on_rate_type": "RateForEach",
"external_id": "<string>",
"accounting_id": "<string>",
"add_on_types": [
"driver_pay"
],
"total_installments": 1,
"revenue_rate_value": "<string>",
"revenue_cost_rate_type": "RateForEach",
"cost_rate_value": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": "<string>",
"rate": "<string>",
"percentage": "<string>",
"add_on_rate_type": "RateForEach",
"external_id": "<string>",
"accounting_id": "<string>",
"add_on_types": [
"driver_pay"
],
"total_installments": 123,
"auto_add_on_installments_count": 123,
"revenue_rate_value": "<string>",
"revenue_cost_rate_type": "RateForEach",
"cost_rate_value": "<string>",
"account_type": "customer",
"add_on_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_auto_add_on_assignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_type": "Settlement",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"add_on": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": "<string>",
"rate": "<string>",
"percentage": "<string>",
"add_on_rate_type": "RateForEach",
"fuel_surcharge_schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
AutoAddOnAssignment ID
Deprecated in favor of revenue_rate_value.
Deprecated in favor of revenue_cost_rate_type.
RateForEach, RatePercentOfTotal, PerLoad, FuelSurcharge "RateForEach"
driver_pay, invoicing, job, settlement, driver_day x >= 0The cost rate or buy price of the add on.
RateForEach, RatePercentOfTotal, PerLoad, FuelSurcharge "RateForEach"
The cost rate or buy price of the add on.
OK
Note:
add_on_id is deprecatedShow child attributes